Get all payment plans for all profiles

Returns all payment plans across all profiles. Filter by updated_after or updated_before to retrieve plans modified in a specific date range. This is useful for reconciliation and reporting exports.

Query Parameters
  • updated_before
    Type: string

    Filter by profile updated at date in iso 8601 - yyyy-mm-dd.

  • updated_after
    Type: string

    Filter by profile updated at date in iso 8601 - yyyy-mm-dd.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/apis/payments/plans
curl 'https://ff-business-school.fullfabric.cloud/apis/payments/plans?updated_before=&updated_after=' \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
[
  {
    "id": "6977b3de3b5d00baac7cd258",
    "context_id": "6385bb46976a771912003e6a",
    "profile_id": "6385bdd4976a7719120108e9",
    "name": "MBA Standard Payment Plan",
    "created_at": 1710892800,
    "updated_at": 1710892800,
    "fees": [
      {
        "id": "6977b3de3b5d00baac7cd25e",
        "plan_id": "6977b3de3b5d00baac7cd258",
        "amount": 500000,
        "currency": "EUR",
        "due_date": 1719792000,
        "description": "Deposit",
        "reference": "INV-2025-001",
        "discounts": [],
        "transactions": []
      },
      {
        "id": "6977b3de3b5d00baac7cd261",
        "plan_id": "6977b3de3b5d00baac7cd258",
        "amount": 2000000,
        "currency": "EUR",
        "due_date": 1727740800,
        "description": "1st Tuition Instalment",
        "reference": "INV-2025-002",
        "discounts": [
          {
            "id": "6977b3de3b5d00baac7cd264",
            "description": "Early Bird Discount",
            "type": "amount",
            "amount": 200000
          }
        ],
        "transactions": []
      }
    ]
  }
]